Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSAllowAttrElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSAllowAttrElement

All Implemented Interfaces:
  SomeAttrElement, XDSElement

public class XDSAllowAttrElement
extends ElementImpl
implements SomeAttrElement

An `<allow-attr>` element.

See Also:
  `//TODO: double-check this!!!`, `XDSAllowClassElement.extractAllowAttrElements()`, `XDSAllowClassElement.childElements()`

Method Summary
`String` | `getAttrName()` Gets the value of this element's `attr-name` attribute.
`void` | `setAttrName(String someName)` Sets this element's `attr-name` attribute to `someName`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getAttrName

    public String getAttrName()

  Description copied from interface: `SomeAttrElement`
  Gets the value of this element's `attr-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getAttrName` in interface `SomeAttrElement`
  Returns:
    will not return `null`; will not return `""`

### setAttrName

    public void setAttrName(String someName)

  Description copied from interface: `SomeAttrElement`
  Sets this element's `attr-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Specified by:
    `setAttrName` in interface `SomeAttrElement`
  Parameters:
    `someName` - if `null` or `""`, no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD